# Domains as NFTs

The `NameRegistry` is an FA2-compliant smart contract ([TZIP-12](https://gitlab.com/tzip/tzip/-/blob/master/proposals/tzip-12/tzip-12.md)). All 2nd-level domains can be used as non-fungible tokens, with a few caveats:

* After a domain expires, the owner's balance of the token is always `0`. That means that a domain will "disappear" as a token once it expires (although the `token_id` continues to be valid).
* We don't implement the optional `all_tokens` view, because the number of tokens is too large to be returned in one call.
* When a domain changes owners, all existing operators are automatically dropped.

See the [TZIP-12](https://gitlab.com/tzip/tzip/-/blob/master/proposals/tzip-12/tzip-12.md) specification for more information about the FA2 standard.
